adapter_struct Struct Reference

`#include <adapter.h>`

## Data Fields

adapter_mode | type
time_t | config_last_modified
const char * | configstr
void * | config
unsigned | inbound: 1
unsigned | error: 1

## Detailed Description

Adapter.

Definition at line 57 of file adapter.h.

## Field Documentation

## config

void* adapter_struct::config

Definition at line 61 of file adapter.h.

Referenced by adapter_cleanup(), adapter_create(), adapter_load_config(), and notify_enable().

## config_last_modified

time_t adapter_struct::config_last_modified

Definition at line 59 of file adapter.h.

Referenced by adapter_create(), and adapter_load_config().

## configstr

const char* adapter_struct::configstr

Definition at line 60 of file adapter.h.

Referenced by adapter_cleanup(), adapter_compare(), adapter_create(), adapter_load_config(), adapter_read(), adapter_write(), and adfile_read().

## error

unsigned adapter_struct::error

Definition at line 63 of file adapter.h.

Referenced by adapi_printixfr(), adapter_create(), addns_write(), adfile_write(), and rrset_print().

## inbound

unsigned adapter_struct::inbound

Definition at line 62 of file adapter.h.

Referenced by adapter_cleanup(), adapter_compare(), adapter_create(), and adapter_load_config().

## type

adapter_mode adapter_struct::type

Definition at line 58 of file adapter.h.

Referenced by adapter_cleanup(), adapter_compare(), adapter_create(), adapter_load_config(), adapter_read(), adapter_write(), addns_read(), addns_write(), and notify_enable().

The documentation for this struct was generated from the following file:

- src/adapter/adapter.h